Get available object for answering all kinds of prompts

GET {{baseUrl}}/api/documents/:id/instances/:instanceId/prompts/:promptIdentifier/objects

Get a list of available objects for answering a specific prompt in a specific document/dossier in a project. The objects are defined in the prompt definition and can be changed in Web/Developer. The elements can be a pre-defined list or search result. Obtain the authorization token needed to execute the request using POST /auth/login. Obtain the project ID using GET /projects. Pass the authorization token and project ID in the request header. Pass the document/dossier ID and prompt identifier, such as the prompt key or ID, in the path of the request. Use the offset and limit query parameters to control paging behavior. The offset parameter specifies where to start returning results. The limit parameter specifies how many results to return. Use the searchPattern query parameter to define a search pattern to apply, such as Begins With or Exactly.

Request Params

KeyDatatypeRequiredDescription
offsetnumberStarting point within the collection of returned results. Used to control paging behavior.
limitnumberMaximum number of items returned for a single request. Used to control paging behavior. Maximum value: 200
searchPatternnullSearch pattern
fieldsnullComma-separated, top-level field whitelist that allows the client to selectively retrieve part of the response model. If specified, extra filtering is applied, and for top-level object (if root model is an array, each array element), only the listed fields are kept in the response. For example, "id,elements" keeps only the "id" field and whole "elements" array field, omitting all other fields in the top-level response model.

HEADERS

KeyDatatypeRequiredDescription
X-MSTR-AuthTokenstring(Required) Authorization token
X-MSTR-ProjectIDstring(Required) Project ID

RESPONSES

status: OK

{"objects":[{"name":"Profit","id":"4C051DB611D3E877C000B3B2D86C964F","type":"metric"}]}